<ul class="list-group">
	<li class="list-group-item">
		<button type="button" class="btn btn-primary btn-sm" data-toggle="modal" data-target="#editModal" data-id="0"><i class="fas fa-plus"></i> Agregar</h4>
	</li>
<?php
if(!empty($dineros)) {
	?>
	<li class="list-group-item">
		<h4 class="dinero clickable" data-toggle="collapse" aria-expanded="true" href="#collapseDineros">Dineros</h4>
		<div class="collapse show" id="collapseDineros">
			<?php
			foreach($dineros as $d) {
				echo '<div class="border rounded p-2 mb-1" id="dinero' . $d['id'] . '">';
				echo '<h5 class="mb-0"><span class="nombre">' . $d['nombre'] . ' [' . clp($d['monto']) . ']</span>';
				echo ' <button type="button" class="btn btn-primary btn-sm" data-toggle="modal" data-target="#editModal"';
				echo ' data-id="' . $d['id'] . '"';
				echo '><i class="fas fa-pencil-alt"></i></button></h5>';
				echo '</div>';
			}
	echo '</div></li>';
}
else {
	?>
	<li>A&uacute;n no hay dineros</li>
	<?php
}
echo '</ul>';
?>
<div class="modal fade" id="editModal" data-backdrop="static" tabindex="-1" role="dialog" aria-labelledby="editModalLabel" aria-hidden="true">
	<div class="modal-dialog" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<h5 class="modal-title" id="editModalLabel">Editar</h5>
				<button type="button" class="close" data-dismiss="modal" aria-label="Close">
					<span aria-hidden="true">&times;</span>
				</button>
			</div>
			<div class="modal-body">
				<?php
					$this->load->view('dineros/form');
				?>
			</div>
			<div class="modal-footer">
				<button type="button" class="btn btn-danger mr-auto" id="eliminar">Eliminar</button>
				<button type="button" class="btn btn-secondary" data-dismiss="modal">Cerrar</button>
				<button type="button" class="btn btn-primary" id="editar">Editar</button>
			</div>
		</div>
	</div>
</div>

<script <script type='text/javascript'>
$(document).ready(function() {
	$('#editModal').on('show.bs.modal', function (event) {
		$('.modal-wait').hide();
		var button = $(event.relatedTarget)
		var modal = $(this);

		modal.find('#id').val(0);
		modal.find('#nombre').val('');
		modal.find('#monto').val('');
		modal.find('#fecha').val('');
		modal.find('#id_tipo_dinero1').prop('checked', false);
		modal.find('#id_tipo_dinero2').prop('checked', false);

		if (button.data('id') == 0) {
			$('#eliminar').hide();
			modal.find('#editar').html('Crear');
			modal.find('#id_tipo_dinero1').prop('checked', true);
			$('.modal-wait').show();
		}
		else {
			$('#eliminar').show();

			var parametros = {
				id: button.data('id')
			};

			$.ajax({
				data: parametros,
				url:  '/dineros/get',
				type: 'post',
				beforeSend: function () {
				},
				success:  function (response) {
					dinero = JSON.parse(response);
					modal.find('#id').val(dinero.id);
					modal.find('#nombre').val(dinero.nombre);
					modal.find('#monto').val(dinero.monto);
					modal.find('#fecha').val(dinero.fecha);
					if (dinero.id_tipo_dinero == 1) {
						modal.find('#id_tipo_dinero1').prop('checked', true);
						modal.find('#id_tipo_dinero2').prop('checked', false);
					}
					else {
						modal.find('#id_tipo_dinero1').prop('checked', false);
						modal.find('#id_tipo_dinero2').prop('checked', true);
					}
					$('.modal-wait').show();
				}
			});
		}
	});

	$("#form").submit(function( event ) {
		event.preventDefault();
		$('#editar').click();
	});

	$("#editar" ).click(function() {
		var parametros = $('#form').serialize();
		$.ajax({
			data:  parametros,
			url:   '/dineros/save',
			type:  'post',
			beforeSend: function () {
			},
			success:  function (response) {
				var idDinero = JSON.parse(response);
				var id = $('#id').val();

				if (id == 0) {
					location.reload();
				}
				else {
					var dinero = $('#dinero' + id);
					dinero.find('.nombre').html($('#nombre').val());
					$('#editModal').modal('hide');
				}
			}
		});
	});

	$( "#eliminar" ).click(function() {
		if (confirm('Eliminar')) {
			var id = $('#id').val();
			var parametros = {
				id : id
			};
			$.ajax({
				data:  parametros,
				url:   '/dineros/delete',
				type:  'post',
				beforeSend: function () {
				
				},
				success:  function (response) {
					$('#dinero' + id).remove();
					$('#editModal').modal('hide');
					location.reload();
				}
			});
		}
	});

});
</script>